# Interface Pixer

All Known Implementing Classes:
  `FillPixer`

public interface Pixer
Iterator over pixels.

Since:
  25 Nov 2013
Author:
  Mark Taylor
See Also:
  - `Pixers`

## Method Summary

Modifier and Type
Method
Description
`int`
`getX()`
Returns the X coordinate of the current point.
`int`
`getY()`
Returns the Y coordinate of the current point.
`boolean`
`next()`
Advances to the next point to be dispensed by this iterator.

## Method Details

### next

boolean next()
Advances to the next point to be dispensed by this iterator. Must be called before any calls to getX/getY.

Returns:
  true iff there is another point

### getX

int getX()
Returns the X coordinate of the current point.

Returns:
  X coordinate

### getY

int getY()
Returns the Y coordinate of the current point.

Returns:
  Y coordinate